<template>
  <div class="ui-loading"></div>
</template>

<script>
export default {
  name: 'UiLoading',
};
</script>

<style lang="scss">
.ui-loading {
  animation-duration: 2s;
  animation-fill-mode: forwards;
  animation-iteration-count: infinite;
  animation-name: ui-loading-animation;
  animation-timing-function: linear;
  background-color: #f6f7f8;
  background: linear-gradient(to right, #17283E 8%, #111E2F 50%, #17283E 100%);
  background-size: 500px;
}

@keyframes ui-loading-animation {
  0% {
    background-position: -500px 0;
  }
  100% {
    background-position: 500px 0;
  }
}
</style>
